#!/bin/sh
#
#
# save data
tar -czvf ~/dn-save.tgz .
#
# Export DiversityNaviagator
#
EXPORT_DIR=~/dn-version-096-0
#
# delete export directory
#
if [ -e $EXPORT_DIR ]
then
    rm -r $EXPORT_DIR
fi
#
# create export directory
#
if [ -e $EXPORT_DIR ]
then
    echo "Can't create directory $EXPORT_DIR"
    exit 1
else
    echo "Create directory $EXPORT_DIR"
    mkdir $EXPORT_DIR
fi
#
#
#
cp -r * $EXPORT_DIR/.
cd $EXPORT_DIR
rm -r `find . -name "CVS"`
rm -r `find . -name "*~"`
ant clean
ant jar
rm `find . -name .nbattrs`
rm `find . -name "*.java"`
cd .. 
zip -r dn-version-096-0.zip $EXPORT_DIR
