#!/bin/sh
#
#   Setup database for:  Uni Bayreuth Collection
#
dropdb ubt-collection
createdb -E UNICODE ubt-collection
psql ubt-collection -f  ubt-collection.sql
#
dropdb ubt-users
createdb -E UNICODE ubt-users
psql ubt-users -f  ubt-users.sql
#
dropdb ubt-exsiccata
createdb -E UNICODE ubt-exsiccata
psql ubt-exsiccata -f  ubt-exsiccata.sql
#
dropdb ubt-gazetteer
createdb -E UNICODE ubt-gazetteer
psql ubt-gazetteer -f  ubt-gazetteer.sql
#
# security settings
#
psql ubt-collection -f ubt-collection.security.sql
psql ubt-users      -f ubt-users.security.sql
psql ubt-exsiccata  -f ubt-exsiccata.security.sql
psql ubt-gazetteer  -f ubt-gazetteer.security.sql
