/* SQL DDL: Create an implementation of the model using the SQL Data Definition Language */
/*  Note: Comments such as this may not be supported by your system and may have to be removed */
/*  You may want to change some field types to improve the implementation on your DBMS. */
/*  Data type 'National Character' etc. indicates Unicode text.*/
/*   PostgreSQL: You should create the entire database as Unicode!  */
/*   PostgreSQL: For Postgres you should create the entire database as Unicode! The 'National' has been removed from the SQL code */
/*   PostgreSQL: the data type CHARACTER VARYING has been replaced with VARCHAR */
/*   PostgreSQL: the data type DATETIME has been replaced with TIMESTAMP */
/*   PostgreSQL: Table and field names have been quoted (= "Fieldname") to allow case-sensitivity */
/*   PostgreSQL: the default values for boolean fields have been replaced with 'true' and 'false' */
An error occurred while processing table Lias_CHAR. 
Ungltiger Prozeduraufruf oder ungltiges Argument



/*=== Table: "Lias_CHAR_Heading" ===*/
/*  */
CREATE TABLE "Lias_CHAR_Heading" (
    "HID" 	int2	 NOT NULL,
    "HeadingName" 	varchar(255)	 NOT NULL,
    "HeadingWording" 	varchar(255)	 NULL,
    "Notes" 	text	 NULL,
    "AutoGroup" 	varchar(255)	 NULL
);




/*=== Table: "Lias_CHAR_Heading_Link" ===*/
/*  */
CREATE TABLE "Lias_CHAR_Heading_Link" (
    "HID" 	int2	 NOT NULL,
    "CID" 	int2	 NOT NULL
);

An error occurred while processing table Lias_CS. 
Ungltiger Prozeduraufruf oder ungltiges Argument



/*=== Table: "Lias_DEP" ===*/
/*  */
CREATE TABLE "Lias_DEP" (
    "CID" 	int2	 NOT NULL,
    "CS" 	varchar(16)	 NOT NULL,
    "InapplicableCID" 	int2	 NOT NULL
);




/*=== Table: "Lias_DESCR" ===*/
/*  */
CREATE TABLE "Lias_DESCR" (
    "IID" 	int4	 NOT NULL,
    "CID" 	int2	 NOT NULL,
    "Modifier" 	varchar(255)	 NULL,
    "CS" 	varchar(16)	 NOT NULL,
    "X" 	float8	 NULL,
    "TXT" 	text	 NULL,
    "Notes" 	text	 NULL,
    "SEQ" 	int4	 NULL
);




/*=== Table: "Lias_ITEM" ===*/
/*  */
CREATE TABLE "Lias_ITEM" (
    "IID" 	int4	 NOT NULL,
    "ItemName" 	varchar(255)	 NOT NULL,
    "ItemWording" 	varchar(255)	 NULL,
    "Notes" 	text	 NULL,
    "Abundance" 	float4	 NOT NULL,
    "CollUnit" 	varchar(255)	 NULL,
    "LitRef" 	varchar(255)	 NULL,
    "LitKey" 	int4	 NULL,
    "LitRefDetail" 	varchar(255)	 NULL
);




/*=== Table: "Lias_MOD" ===*/
/*  */
CREATE TABLE "Lias_MOD" (
    "Usage" 	varchar(255)	 NOT NULL,
    "Modifier" 	varchar(255)	 NOT NULL,
    "Reliability" 	int2	 NOT NULL,
    "MisinterpretationMarker" 	bool	 NOT NULL,
    "Postfix" 	bool	 NOT NULL,
    "UseBlank" 	bool	 NOT NULL,
    "Operator" 	int2	 NOT NULL,
    "Notes" 	varchar(255)	 NULL,
    "LowerFreq" 	float4	 NULL,
    "UpperFreq" 	float4	 NULL
);




/*=== Table: "Lias_MOD_Link" ===*/
/*  */
CREATE TABLE "Lias_MOD_Link" (
    "CID" 	int2	 NOT NULL,
    "Modifier" 	varchar(255)	 NOT NULL
);




/*=== Table: "Lias_PROPERTY" ===*/
/*  */
CREATE TABLE "Lias_PROPERTY" (
    "PropertyName" 	varchar(255)	 NULL,
    "TextValue" 	text	 NULL,
    "DateTimeValue" 	timestamp	 NULL,
    "NumericValue" 	float8	 NULL
);




/*=== Table: "Lias_ReportElement" ===*/
/*  */
CREATE TABLE "Lias_ReportElement" (
    "ReportElement" 	int4	 NULL,
    "Language" 	varchar(2)	 NOT NULL,
    "Description" 	varchar(255)	 NULL,
    "ParagraphBefore" 	bool	 NULL,
    "TextBefore" 	varchar(255)	 NULL,
    "TextBetween" 	varchar(255)	 NULL,
    "TextAfter" 	varchar(255)	 NULL,
    "ParagraphAfter" 	bool	 NULL,
    "ComplexWording" 	varchar(255)	 NULL,
    "ComplexWordingFormat" 	int2	 NULL,
    "UseWordingIfIncomplete" 	bool	 NULL,
    "AlternativeElement" 	int4	 NULL,
    "CapitalizeStart" 	bool	 NULL,
    "CapitalizeWithin" 	bool	 NULL,
    "WordgTruncation" 	int2	 NOT NULL,
    "RepElementNotes" 	text	 NULL
);

An error occurred while processing table Lias_RSC. 
Ungltiger Prozeduraufruf oder ungltiges Argument

