-- ---------------------------------------
-- Botanische Staatssammlung Mnchen
-- Email Liste
--
-- Version 1.0 vom 2003-09-02
-- ---------------------------------------
CREATE TABLE "EmailList"
 ( 
    "id"  	 SERIAL         PRIMARY KEY,
    "group_id"	 varchar( 8 )   NOT NULL,
    "first_name" varchar( 255 ) NULL,
    "last_name"  varchar( 255 ) NOT NULL,
    "email"  	 varchar( 255 ) NULL,
    "visible"    boolean        default 'true',	
    "created_at" timestamp      NOT NULL DEFAULT now()
 );
--
-- email groups definitions
--
CREATE TABLE "EmailGroup"
(
    "group"      varchar( 8 )  NOT NULL PRIMARY KEY	
);
--
--
--
ALTER TABLE "EmailList" ADD FOREIGN KEY ( "group_id" ) REFERENCES "EmailGroup" ( "group" ) ON UPDATE CASCADE ON DELETE CASCADE;
-- 
-- Mycologie
--
INSERT INTO "EmailGroup" ( "group" ) VALUES ('MY');
--
--
--
INSERT INTO "EmailGroup" ( "group" ) VALUES ('PH');
