#!/bin/sh
#
# Start Diversity Navigator
#
classpath=./
#
classpath=$classpath:./jar/castor-0.9.5.2.jar
classpath=$classpath:./jar/castor-0.9.5.2-xml.jar
classpath=$classpath:./jar/jdbc-se2.0.jar
classpath=$classpath:./jar/jta1.0.1.jar
#
# XML
#
classpath=$classpath:./jar/jdom-b9.jar
classpath=$classpath:./jar/xmlParserAPIs.jar
classpath=$classpath:./jar/xalan.jar
classpath=$classpath:./jar/xerces.jar
#
# Logging
#
classpath=$classpath:./jar/log4j-1.2.8.jar
#
# Web-Service Apache Axis.1.1RC2
#
classpath=$classpath:./jar/axis.jar
classpath=$classpath:./jar/jaxrpc-api.jar
classpath=$classpath:./jar/saaj.jar
classpath=$classpath:./jar/wsdl4j.jar
classpath=$classpath:./jar/commons-discovery.jar
classpath=$classpath:./jar/commons-logging.jar
#
# Look And Feel
#
classpath=$classpath:./jar/AbsoluteLayout.jar
#
classpath=$classpath:./jar/looks-1.1.2.jar
classpath=$classpath:./jar/forms-1.0.2.jar
#
# Postgresql JDBC Driver
#
classpath=$classpath:./jar/pg73jdbc3.jar
#
# use global CLASSPATH
# classpath=$CLASSPATH
#
echo
echo "Use CLASSPATH: $classpath"
#
export CLASSPATH="$classpath"
#!/bin/sh
#
#
# save data
tar -czvf ~/dn-save.tgz .
#
# Export DiversityNaviagator
#
EXPORT_DIR=~/dn-version-096-0
#
# delete export directory
#
if [ -e $EXPORT_DIR ]
then
    rm -r $EXPORT_DIR
fi
#
# create export directory
#
if [ -e $EXPORT_DIR ]
then
    echo "Can't create directory $EXPORT_DIR"
    exit 1
else
    echo "Create directory $EXPORT_DIR"
    mkdir $EXPORT_DIR
fi
#
#
#
cp -r * $EXPORT_DIR/.
cd $EXPORT_DIR
rm -r `find . -name "CVS"`
rm -r `find . -name "*~"`
ant clean
ant jar
rm `find . -name .nbattrs`
rm `find . -name "*.java"`
cd .. 
zip -r dn-version-096-0.zip $EXPORT_DIR
