#!/bin/sh
#
echo "Start import"
#
cp=
cp="$cp:./"
cp="$cp:./jar/jdom-b9.jar"
# cp="$cp:./jar/xerces.jar"
cp="$cp:./jar/pg73jdbc3.jar"
#
echo CLASSPATH $cp
#
# Database url
#
# DATABASE="jdbc:postgresql://141.84.65.156:5432/ubt-collection-94"
DATABASE_URL="jdbc:postgresql://hongkong:5432/ubt-collection-94"
#
# Database user
#
DATABASE_USER="didi"
#
# Database password (get from command line parameter)
#
DATABASE_PWD="$1"
#
# Import Directory
#
#IMPORT_DIR="~/export-ubt-xml-2003.09.17"
IMPORT_DIR="/home/didi/export-ubt-xml-2003.10.02"
#
#############################
# database tables
#############################

IMPORT_TABLES=""
IMPORT_TABLES="$IMPORT_TABLES xColl_TypeStatus_Enum.xml"
IMPORT_TABLES="$IMPORT_TABLES xColl_CollectionEditing_Enum.xml"
IMPORT_TABLES="$IMPORT_TABLES xColl_DateCategory_Enum.xml"
IMPORT_TABLES="$IMPORT_TABLES xColl_IdentificationCategory_Enum.xml"
IMPORT_TABLES="$IMPORT_TABLES xColl_IdentificationQualifier_Enum.xml"
IMPORT_TABLES="$IMPORT_TABLES xColl_ImageType_Enum.xml"
IMPORT_TABLES="$IMPORT_TABLES xColl_LabelTranscription_Enum.xml"
IMPORT_TABLES="$IMPORT_TABLES xColl_LabelType_Enum.xml"
IMPORT_TABLES="$IMPORT_TABLES xColl_MaterialCategory_Enum.xml"
IMPORT_TABLES="$IMPORT_TABLES xColl_TaxonomicGroup_Enum.xml"
#
IMPORT_TABLES="$IMPORT_TABLES CollectionSpecimen.xml"
#
# LocalisationSystem
# 
IMPORT_TABLES="$IMPORT_TABLES LocalisationSystemType.xml"
IMPORT_TABLES="$IMPORT_TABLES LocalisationSystem.xml"
#
# Identification
#
IMPORT_TABLES="$IMPORT_TABLES IdentificationUnit.xml"
IMPORT_TABLES="$IMPORT_TABLES Identification.xml"
#
#
#
IMPORT_TABLES="$IMPORT_TABLES CollectingPerson.xml"
IMPORT_TABLES="$IMPORT_TABLES CollectionDuplicate.xml"
IMPORT_TABLES="$IMPORT_TABLES CollectionGeography.xml"
IMPORT_TABLES="$IMPORT_TABLES CollectionImage.xml"
IMPORT_TABLES="$IMPORT_TABLES Collection.xml"
IMPORT_TABLES="$IMPORT_TABLES CollectionStorage.xml"
IMPORT_TABLES="$IMPORT_TABLES CollectionProject.xml"
#
# Import Table-Data into database
#
for TABLE in $IMPORT_TABLES
do
     java -cp $cp net.metadiversity.diversity.navigator.util.ImportMsDbTable "$DATABASE_URL" $DATABASE_USER $DATABASE_PWD "$IMPORT_DIR/$TABLE"
done
