#!/bin/sh
#
echo "Start import"
#
cp=
cp="$cp:./"
cp="$cp:./jar/jdom-b9.jar"
# cp="$cp:./jar/xerces.jar"
cp="$cp:./jar/pg73jdbc3.jar"
#
echo CLASSPATH $cp
#
# Database url
#
# DATABASE="jdbc:postgresql://141.84.65.156:5432/lias_light"
DATABASE_URL="jdbc:postgresql://hongkong:5432/lias_light"
#
# Database user
#
DATABASE_USER="didi"
#
# Database password (get from command line parameter)
#
DATABASE_PWD="$1"
#
# Import Directory
#
#IMPORT_DIR="~/export-ubt-xml-2003.09.17"
IMPORT_DIR="/export/DatabaseExports/XMLData"
#
#############################
# database tables
#############################

IMPORT_TABLES=""
IMPORT_TABLES="$IMPORT_TABLES LIASlight_CHAR.xml"
IMPORT_TABLES="$IMPORT_TABLES LIASlight_CHAR_Heading.xml"
IMPORT_TABLES="$IMPORT_TABLES LIASlight_CHAR_Heading_Link.xml"
IMPORT_TABLES="$IMPORT_TABLES LIASlight_CS.xml"
IMPORT_TABLES="$IMPORT_TABLES LIASlight_DEP.xml"
IMPORT_TABLES="$IMPORT_TABLES LIASlight_DESCR.xml"
IMPORT_TABLES="$IMPORT_TABLES LIASlight_ITEM.xml"
IMPORT_TABLES="$IMPORT_TABLES LIASlight_MOD.xml"
IMPORT_TABLES="$IMPORT_TABLES LIASlight_MOD_Link.xml"
IMPORT_TABLES="$IMPORT_TABLES LIASlight_PROPERTY.xml"
IMPORT_TABLES="$IMPORT_TABLES LIASlight_ReportElement.xml"
IMPORT_TABLES="$IMPORT_TABLES LIASlight_RSC.xml"
#
##
# memory settings
#
# -Xms<size>        set initial Java heap size, The default value is 2MB
memset="-Xms16m"
#-Xmx<size>         set maximum Java heap size, The default value is 64MB
memset="$memset -Xmx256m"
#-Xss<size>        set java thread stack size
memset="$memset -Xss128m"
#
echo "memory settings: $memset"
#
# Import Table-Data into database
for TABLE in $IMPORT_TABLES
do
     java $memset -cp $cp net.metadiversity.diversity.navigator.util.ImportMsDbTable "$DATABASE_URL" $DATABASE_USER $DATABASE_PWD "$IMPORT_DIR/$TABLE"
done
