#!/bin/sh
cp=./jar/diversity_navigator.jar:./jar/jdom-b9.jar:./jar/pg73jdbc3.jar
#
# Set Database URL
#
DATABASE_URL=jdbc:postgresql://localhost:5432/DiversityDescriptions_LIASlight
#
# Set Database user
#
DATABASE_USER="didi"
#
# Set Database passwd
#
DATABASE_PWD="\"\""
#
# Set Import Directory
#
IMPORT_DIR=/DBUpload/DiversityDescriptions_LIASlight/XML
# memory settings

# -Xms<size> set initial Java heap size, The default value is 2MB
memset="-Xms16m"
#-Xmx<size> set maximum Java heap size, The default value is 64MB
memset=" -Xmx256m"
#-Xss<size> set java thread stack size
echo "memory settings: $memset"

# Import Table-Data into database
##############################
# database tables             
##############################
import_files="DiversityDescriptions_LIASlight.import.tables.txt"
cat $import_files | grep -v "#" | while read -r table
do
   java  -cp $cp net.metadiversity.diversity.navigator.util.ImportMsDbTable "$DATABASE_URL" $DATABASE_USER $DATABASE_PWD "$IMPORT_DIR/${table}"
done
